/* === FORM CF7 v3.0 === */

/* ----------------------------------------
   FLEXBOX LAYOUT
---------------------------------------- */

.flex-form .flex-row {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  margin-bottom: 1rem;
  width: 100%;
}

.flex-form .form-field {
  box-sizing: border-box;
}

[class*="col-"] {
  flex: 0 0 auto;
}

//* Colonne Desktop (default) */
.col-1  { flex-basis: calc((100% / 12 * 1) - 0.5rem); }
.col-2  { flex-basis: calc((100% / 12 * 2) - 0.5rem); }
.col-3  { flex-basis: calc((100% / 12 * 3) - 0.5rem); }
.col-4  { flex-basis: calc((100% / 12 * 4) - 0.5rem); }
.col-5  { flex-basis: calc((100% / 12 * 5) - 0.5rem); }
.col-6  { flex-basis: calc((100% / 12 * 6) - 0.5rem); }
.col-7  { flex-basis: calc((100% / 12 * 7) - 0.5rem); }
.col-8  { flex-basis: calc((100% / 12 * 8) - 0.5rem); }
.col-9  { flex-basis: calc((100% / 12 * 9) - 0.5rem); }
.col-10 { flex-basis: calc((100% / 12 * 10) - 0.5rem); }
.col-11 { flex-basis: calc((100% / 12 * 11) - 0.5rem); }
.col-12 { flex-basis: 100%; }


/* Tablet */
@media (max-width: 1024px) {
  .col-md-1  { flex-basis: calc((100% / 12 * 1) - 0.5rem); }
  .col-md-2  { flex-basis: calc((100% / 12 * 2) - 0.5rem); }
  .col-md-3  { flex-basis: calc((100% / 12 * 3) - 0.5rem); }
  .col-md-4  { flex-basis: calc((100% / 12 * 4) - 0.5rem); }
  .col-md-5  { flex-basis: calc((100% / 12 * 5) - 0.5rem); }
  .col-md-6  { flex-basis: calc((100% / 12 * 6) - 0.5rem); }
  .col-md-7  { flex-basis: calc((100% / 12 * 7) - 0.5rem); }
  .col-md-8  { flex-basis: calc((100% / 12 * 8) - 0.5rem); }
  .col-md-9  { flex-basis: calc((100% / 12 * 9) - 0.5rem); }
  .col-md-10 { flex-basis: calc((100% / 12 * 10) - 0.5rem); }
  .col-md-11 { flex-basis: calc((100% / 12 * 11) - 0.5rem); }
  .col-md-12 { flex-basis: 100%; }
}

/* Mobile */
@media (max-width: 768px) {
  .col-sm-1  { flex-basis: calc((100% / 12 * 1) - 0.5rem); }
  .col-sm-2  { flex-basis: calc((100% / 12 * 2) - 0.5rem); }
  .col-sm-3  { flex-basis: calc((100% / 12 * 3) - 0.5rem); }
  .col-sm-4  { flex-basis: calc((100% / 12 * 4) - 0.5rem); }
  .col-sm-5  { flex-basis: calc((100% / 12 * 5) - 0.5rem); }
  .col-sm-6  { flex-basis: calc((100% / 12 * 6) - 0.5rem); }
  .col-sm-7  { flex-basis: calc((100% / 12 * 7) - 0.5rem); }
  .col-sm-8  { flex-basis: calc((100% / 12 * 8) - 0.5rem); }
  .col-sm-9  { flex-basis: calc((100% / 12 * 9) - 0.5rem); }
  .col-sm-10 { flex-basis: calc((100% / 12 * 10) - 0.5rem); }
  .col-sm-11 { flex-basis: calc((100% / 12 * 11) - 0.5rem); }
  .col-sm-12 { flex-basis: 100%; }
	.col-6 { flex-basis: 100%; }
}

/* ----------------------------------------
   CAMPI FORM - STILIZZAZIONE BASE
---------------------------------------- */

form *::placeholder {
  font-family: var(--global-body-font-family);
}

.wpcf7 form .wpcf7-response-output {
  margin: 0;
  padding: 0.5rem;
}

.wpcf7-not-valid-tip {
  font-size: 0.8rem;
}

.wpcf7 form.sent .wpcf7-response-output {
  text-align: center;
  border-radius: 0;
}

.flex-form label.hidden {
  display: none;
}

.flex-form input[type="text"], 
.flex-form input[type="number"], 
.flex-form input[type="email"],
.flex-form input[type="tel"],
.flex-form input[type="file"],
.flex-form textarea,
.flex-form select {
  box-sizing: border-box;
  width: 100%;
  padding: 0.8rem 1rem !important;
  border-radius: 0rem !important;
  border: 1px solid #dcdcdc;
  background: #fff;
  color: var(--global-palette9) !important;
}

.flex-form select,
.flex-form input[type="file"] {
  color: var(--global-palette3) !important;
  border: 1px solid var(--global-palette5);
}

.flex-form textarea {
  border-radius: 0px !important;
}

.flex-form .wpcf7-list-item-label {
  display: flex;
  align-items: center;
}
.flex-form .privacy .wpcf7-list-item-label {
  font-size: 0.7rem;
}

/* ----------------------------------------
   CHECKBOX PERSONALIZZATI (PRIVACY)
---------------------------------------- */

.privacy input[type="checkbox"] {
  opacity: 0;
  position: absolute;
}

.custom-check  {
  display: inline-block;
  width: 1.5rem;
  height: 1.5rem;
  background-color: #fff;
  border-radius: 4px;
  border: 0px solid var(--global-palette5);
  margin-right: 0.5rem;
  vertical-align: middle;
  transition: background-color 0.3s ease, border-color 0.3s ease;
  position: relative;
  flex-shrink: 0;
}

.privacy input[type="checkbox"]:checked + .wpcf7-list-item-label .custom-check, .tml-checkbox:checked {
  background-color: var(--global-palette1);
}

.privacy input[type="checkbox"]:checked + .wpcf7-list-item-label .custom-check::after, .tml-checkbox:after {
  content: '';
  position: absolute;
  left: 50%;
  top: 40%;
  width: 8px;
  height: 14px;
  border: solid #fff;
  border-width: 0 2px 2px 0;
  transform: translate(-50%, -50%) rotate(45deg);
}

.custom-check:hover, .tml-checkbox:hover {
  cursor: pointer;
}

/* ----------------------------------------
   VARI ELEMENTI DI LAYOUT
---------------------------------------- */

.mail-protetta {
  display: flex;
  align-items: center;
}

.mail-protetta > svg {
  margin-right: 0.5rem;
  width: 1.5rem;
  min-width: 1.5rem;
  height: auto;
}

.wpcf7-list-item {
  margin: 0;
}

.wpcf7-list-item > label {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 1rem;
}

.accettazione {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  flex: 100% !important;
}
.flex-form input[type=submit] {
	border-radius: 0;
}
/* Responsive Button Align */
@media (max-width: 992px) {
  .flex-button-submit {
    text-align: left;
  }
}

/* Button Style */
.flex-form button {
    text-transform: uppercase;
    font-weight: 600;
    border-radius: 0;
    font-size: .9rem;
    padding: .5rem 2rem;
}